package com.iamberry.zk;

import java.io.Serializable;

public class HostInfo implements Serializable {

	private static final long serialVersionUID = 6537048826405265258L;

	private String host;
	
	private String port;
	
	private String applicationName;
	
	// 0 : 正在运行，可以转化为1； 1：关闭中，可以转化为2 ；2：已经关闭；
	private int state = 0;
	
	private String path;
	
	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public HostInfo() {
		super();
	}

	public HostInfo(String host, String port, String applicationName, int state) {
		this.host = host;
		this.port = port;
		this.applicationName = applicationName;
		this.state = state;
	}

	public String getHost() {
		return host;
	}

	public void setHost(String host) {
		this.host = host;
	}

	public String getPort() {
		return port;
	}

	public void setPort(String port) {
		this.port = port;
	}

	public String getApplicationName() {
		return applicationName;
	}

	public void setApplicationName(String applicationName) {
		this.applicationName = applicationName;
	}

	public int getState() {
		return state;
	}

	public void setState(int state) {
		this.state = state;
	}
}
